package com.huatek.frame.base.mapper;

import com.huatek.frame.base.entity.ComponentItem;
import com.huatek.frame.base.entity.Group;
import com.huatek.torch.sql.dao.impl.BaseDao;
import com.huatek.torch.util.uuid.Uuid;
import org.springframework.stereotype.Repository;
import org.springframework.util.StringUtils;

/**
 * 模型 Dao
 *
 * @date 2023-2-14 14:03:45
 */

@Repository
public class ModelDao extends BaseDao<ComponentItem, String> {
    public int saveOrUpdate(ComponentItem entity) {
        if(StringUtils.isEmpty(entity.getId())) {
            entity.setId(Uuid.getUUID());
            return this.add(entity);
        }
        return this.updateLocal(entity);
    }
}
